package statsapi

import (
	"encoding/json"
)

type FeedParams struct {
	GamePk string
}

type Feed struct {
	MetaData metadata
	LiveData livedata
}

type metadata struct {
	TimeStamp string
}

type livedata struct {
	Plays     plays
	Linescore linescore
}

type linescore struct {
	Teams teams
}

type teams struct {
	Home team
	Away team
}

type team struct {
	Runs json.Number
}

type plays struct {
	AllPlays    []Play
	CurrentPlay Play
}

type Play struct {
	Result     result
	About      about
	AtBatIndex int
}

type result struct {
	Event       string
	Description string
	RBI         int
	AwayScore   int
	HomeScore   int
}

type about struct {
	AtBatIndex       json.Number
	IsTopInning      bool
	Inning           json.Number
	IsScoringPlay    bool
	CaptivatingIndex json.Number
}
